Passer au contenu principal
GET
/
automation
/
sequences
/
2026-03
Retrieve sequences
curl --request GET \
  --url https://api.hubapi.com/automation/sequences/2026-03 \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "updatedAt": "2023-11-07T05:31:56Z",
      "userId": "<string>",
      "folderId": "<string>"
    }
  ],
  "total": 123,
  "paging": {}
}

Supported products

Autorisations

Authorization
string
header
requis

The access token received from the authorization server in the OAuth 2.0 flow.

Paramètres de requête

userId
string
requis

The unique identifier of the user whose sequences are to be retrieved. This parameter is required.

after
string

The paging cursor token of the last successfully read resource. Use this for pagination to retrieve the next set of results.

limit
integer<int32>

The maximum number of results to display per page.

name
string

The name of the sequence to filter results by.

Réponse

successful operation

results
object[]
requis

An array of PublicSequenceLiteResponse objects, each representing a lightweight version of a sequence.

total
integer<int32>
requis

An integer representing the total number of sequence items available.

paging
object
Last modified on April 2, 2026